## lcom-1.06.tar.gz

=== Makefile ===
CFLAGS = -Wall -W -std=gnu9x -O2 -g

# Add -ltinfo for recent systems. -lgpm for recent ncurses (install libgpm-dev).

#LDLIBS = -g -lpthread -lpanel -lform -lncurses -ltinfo -lgpm
LDLIBS = -g -lpthread -lpanel -lform -lncurses


#for FreeBSD 5.2.1, use -lthr instead of -lpthread
#LDLIBS=-g -lthr -lpanel -lform -lncurses

# Some distros (SuSE) put ncurses include files in
# /usr/include/ncurses instead of in the stanard /usr/include, so
# check to see if we can find it, and warn the user if not.

define NCURSES_WARNING

****************************************************************************
**                                                                        **
**   ncurses include files not found in standard locations -- trying to   **
**   build anyway.  If build fails because panel.h or menu.h are not      **
**   found, please install ncurses development files and try again.       **
**                                                                        **
****************************************************************************

endef



ifneq ($(MAKECMDGOALS),clean)
 ifeq ("$(wildcard /usr/include/panel.h)","")
  ifeq ("$(wildcard /usr/include/ncurses/panel.h)","/usr/include/ncurses/panel.h")
   CFLAGS += -D ALT_NCURSES_INCLUDE
  else
    ifeq ($(MAKELEVEL),0)
      $(info "$(NCURSES_WARNING)")
    endif
  endif
 endif
endif

%.d: %.c
	set -e; $(CC) -MM $(CPPFLAGS) $< \
         | sed 's/\($*\)\.o[ :]*/\1.o $@ : /g' > $@; \
         [ -s $@ ] || rm -f $@

%.txt: %.1
	nroff -man $< | col -b > $@

%.ps: %.1
	groff -man $< >$@

%.pdf: %.ps
	ps2pdf $< $@

Sources=lcom.c queue.c getargs.c modes.c
Objects=$(Sources:.c=.o)

all ::
	@$(MAKE) -s depend
	@$(MAKE) --no-print-directory lcom


lcom: $(Objects)

static ::
	@$(MAKE) -s depend
	@$(MAKE) --no-print-directory slcom

slcom: $(Objects)
	gcc -ldl $^ -o $@ -static $(LDLIBS)

clean:
	rm -f $(Binaries) *.d *.o *~ core.* lcom slcom lcom.ps lcom.pdf lcom.txt

depend: $(Sources:.c=.d)

install:
	install -s lcom /usr/local/bin
	install lcom.1 /usr/local/man/man1

docs: lcom.txt lcom.ps lcom.pdf

=== debian/changelog ===
lcom (1.01-1) unstable; urgency=low

  * Added more examples to man page
  
 -- Comtrol Corp <support@comtrol.com>  Thu, 14 Nov 2002 15:44:24 -0600

lcom (1.00-1) unstable; urgency=low

  * Initial Release.

 -- Comtrol Corp <support@comtrol.com>  Thu,  7 Nov 2002 17:12:52 -0600

=== debian/control ===
Source: lcom
Section: unknown
Priority: optional
Maintainer: Comtrol Corp <support@comtrol.com>
Build-Depends: debhelper (>> 3.0.0)
Standards-Version: 3.5.2

Package: lcom
Architecture: any
Depends: ${shlibs:Depends}
Description: serial comm test application
 lcom is an ncurses based application that allows the user to
 open multiple serial ports and/or TCP/IP connections and
 perform throughput testing and other tasks.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	make
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	make clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	install -s lcom   $(CURDIR)/debian/lcom/usr/bin
	install    lcom.1 $(CURDIR)/debian/lcom/usr/share/man/man1

# Build architecture-independent files here.
binary-indep: build install


# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installman
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
